API referenceLLM classifier
Classify unstructured text using Named Entity Recognition
POST
Classify a given text array input using the LLM classifier
Transcend_API_Keyheader
AuthorizationBearer <token>authorization: Bearer <>
content-type*stringSpecify content-type: application/json for a JSON response from the Transcend API.
Match
application-jsonapplication/json- body
inputList*array<string>List of inputs to classify
Items
1 <= itemslabels*array<string>The list of labels to classify against
Items
1 <= itemsInput was classified successfully. Responds with the classification result from the NER classifier for each input.
application/json- response
guesses*array<array<>>The list of classifications for each input
curl -X POST 'https://multi-tenant.sombra.transcend.io/classify/unstructured-text' \ -H 'authorization: string' \ -H 'content-type: string' \ -H 'Content-Type: application/json' \ -d '{ "inputList": [ "\"userId\":\"05179687877722385190\"", "Medical ID: 15179687877722385199", "transcend user ID" ], "labels": [ "Personal Identifier", "Medical", "Generic Personal Information" ]}'Example Response
{ "guesses": [ [ { "type": "Personal Identifier", "classifierVersion": 30302, "classificationMethod": "TRANSCEND_LLM_CLASSIFY", "value": "05179687877722385190", "snippet": "\"userId\":\"05179687877722385190\"" } ], [ { "type": "Medical", "classifierVersion": 30302, "classificationMethod": "TRANSCEND_LLM_CLASSIFY", "value": "15179687877722385199", "snippet": "Medical ID: 15179687877722385199" }, { "type": "Personal Identifier - User ID", "classifierVersion": 30302, "classificationMethod": "TRANSCEND_LLM_CLASSIFY", "value": "15179687877722385199", "snippet": "Medical ID: 15179687877722385199" }, { "type": "Not Personal Data", "classifierVersion": 30302, "classificationMethod": "TRANSCEND_LLM_CLASSIFY", "value": "15179687877722385199", "snippet": "Medical ID: 15179687877722385199" } ] ]}